
Foreman - Feature #23690

Update react to 16.3+

05/24/2018 03:12 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5651,

https://github.com/theforeman/foreman/p

ull/5696

  

Description

We need to ensure foreman is using react 16.3 so we can use static getDerivedStateFromProps.

Associated revisions

Revision c50b21ee - 06/13/2018 02:58 PM - Amir Fefer

Fixes #23690 - update react to 16.3

History

#1 - 05/24/2018 03:19 PM - Walden Raines

- translation missing: en.field_release changed from 297 to 330

Oops, wrong release.

#2 - 06/01/2018 10:59 AM - Ondřej Pražák

- translation missing: en.field_release deleted (330)

Moving out of 1.18

#3 - 06/01/2018 01:31 PM - Walden Raines

Ondřej Pražák wrote:

Moving out of 1.18

 I believe we need this in 1.18, Amir can you confirm?

#4 - 06/05/2018 02:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5651 added

#5 - 06/06/2018 02:10 AM - Walden Raines

- translation missing: en.field_release set to 330

This needs to go into 1.18.0 per https://github.com/theforeman/foreman/pull/5651#issuecomment-394747120.

#6 - 06/13/2018 03:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset c50b21ee733acaccf1cd82fa3caf7c4b5bfea757.

#7 - 06/15/2018 12:12 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5696 added

#8 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)
